directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Trustin Lee <trus...@gmail.com>
Subject [apacheds] SSL support and Java 5
Date Thu, 29 Dec 2005 09:25:15 GMT
Hi all.

I'm adding LDAPS support in apacheds-server.  It is implemented in
ServerContextFactory.startLDAPS(...).  I used MINA SSLFilter and
javax.net.ssl package for it.  This means Java 5 is mandatory to start up
ApacheDS LDAPS.  I'm not sure ApacheDS will run in JDK 1.4, but I guess we
need to load the classes dynamically to make it run in JDK 1.4.

Do we need SSL in JDK 1.4?  It will lead us to implement the backport for
SSLEngine, which is not easy.  If we're going to retain JDK 1.4 support,
then I have to modify the current implementation (I didn't check in) a
little bit.

Trustin
--
what we call human nature is actually human habit
--
http://gleamynode.net/
PGP Key ID: 0x854B996C

Mime
View raw message